tektorum.de

tektorum.de (https://www.tektorum.de/)
-   Präsentation & Darstellung (https://www.tektorum.de/praesentation-darstellung/)
-   -   AutoCAD Linie Brechen ohne Lücke (https://www.tektorum.de/praesentation-darstellung/9765-autocad-linie-brechen-ohne-luecke.html)

Florian 28.08.2015 12:24

AutoCAD Linie Brechen ohne Lücke
 
Hallo Wie kann ich die BRUCH Funktion von AutoCAD so einstellen dass

a) keine Lücke entsteht (der Sinn entgeht mir...)
und ich
b) die exakte Bruchstelle angeben kann?

Bei dem voreingestellten BRUCH lege ich bei AutoCAD mit Auswahl des Elements gleich die erste Bruchstelle fest. Das ist ziemlich ungenau, da ich zu diesem Zeitpunkt noch garkeine Fankpunkte habe. Erst mit dem zweiten Klick wird mir der Objektfang angezeit.

Nun kann ich zwar dies durch eine Befehltkette lösen, brauche dafür aber ziemlich viele Schritte:
1. BRUCH
2. Über Fangpunktpalette den Fangpunkt wählen
3. Objekt am zu brechenden Punkt markieren
4. @ eingeben

Ich hätte es gerne so:
1. BRUCH
2. Objekt markieren
3. Bruchpunkt markieren


Benötigt das ein eigenes Skript?

tschuingum 29.08.2015 08:12

AW: AutoCAD Linie Brechen ohne Lücke
 
Einen separaten Befehl gibt es dafür nicht, aber ein Button mit entsprechendem Makro (^C^C_break \_f \@ ) ist von Hause aus dabei. In den Ribbons versteckt er sich unter 'Start -> Ändern -> An Punkt brechen'.

Florian 01.09.2015 13:32

AW: AutoCAD Linie Brechen ohne Lücke
 
Ah. Und wie kann ich mir diesen Befehl als Shortcut definieren? BRUCH ist ja leider nicht ganz das...

tschuingum 03.09.2015 08:29

AW: AutoCAD Linie Brechen ohne Lücke
 
Shortcuts (sowas wie Strg+C) kannst du in der Benutzeroberflächenanpassung definieren (CUI) - dort in der Rubrik 'Tastaturkurzbefehle -> Tastaturkürzel'. Ansonsten kann man per Lisp Befehle definieren … für die man bei Bedarf auch wieder Befehlsaliasnamen über die pgp-Datei festlegen kann.

Florian 03.09.2015 17:15

AW: AutoCAD Linie Brechen ohne Lücke
 
Hier der Code für ein LISP Skript. Original von break to break at point command - Autodesk Community , von mir an ein deutsches ACAD angeapsst.

Code:


(defun c:br (/ obj pt1 osmode cmdecho)

  (setq obj (car (entsel)))
  (setq pt1 (getpoint "\nBruchpunkt wählen: "))

  (setq osmode (getvar "osmode"))
  (setq cmdecho (getvar "cmdecho"))
  (setvar "osmode" 0)
  (setvar "cmdecho" 0)

  (command "_break" obj pt1 pt1)

  (setvar "osmode" osmode)
  (setvar "cmdecho" cmdecho)

  (princ)

)



Alle Zeitangaben in WEZ +2. Es ist jetzt 14:35 Uhr.

Powered by vBulletin® Version 3.8.11 (Deutsch)
Copyright ©2000 - 2022, Jelsoft Enterprises Ltd.
SEO by vBSEO
Copyright ©2002 - 2022 tektorum.de®